classification
Title: Add base64 module tests for a bytearray argument
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: kushal.das, python-dev, serhiy.storchaka
Priority: normal Keywords: easy, patch

Created on 2013-04-25 10:50 by serhiy.storchaka, last changed 2013-04-28 15:09 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
issue17842_v1.patch kushal.das, 2013-04-25 11:29 Tests containing bytearrary data review
issue17842_v2.patch kushal.das, 2013-04-28 05:46 Tests with both encode and decode examples review
Messages (8)
msg187771 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-04-25 10:50
Most base64 functions accepts str, bytes or bytearray. Lib/tests/test_base64.py tests only bytes (and sometimes str) arguments. At least one test case with bytearray argument needed for every function.
msg187775 - (view) Author: Kushal Das (kushal.das) * (Python committer) Date: 2013-04-25 11:29
Patch with bytearray based tests.
msg187859 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-04-26 14:40
Needed tests for decoders.
msg187868 - (view) Author: Kushal Das (kushal.das) * (Python committer) Date: 2013-04-26 18:45
All the decoders create bytes as result, not sure how to assume if the result should be bytes or bytearray.
msg187873 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-04-26 20:24
The argument should be tested, not the result.
msg187963 - (view) Author: Kushal Das (kushal.das) * (Python committer) Date: 2013-04-28 05:46
Bytearray encoding and decoding
msg187977 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-04-28 12:58
New changeset 6e57d097ae56 by Serhiy Storchaka in branch '2.7':
Issue #17842. Added base64 module tests with bytearray arguments.
http://hg.python.org/cpython/rev/6e57d097ae56

New changeset 44edbea21640 by Serhiy Storchaka in branch '3.3':
Issue #17842. Added base64 module tests with bytearray arguments.
http://hg.python.org/cpython/rev/44edbea21640

New changeset f7f6c2ea4b14 by Serhiy Storchaka in branch 'default':
Issue #17842. Added base64 module tests with bytearray arguments.
http://hg.python.org/cpython/rev/f7f6c2ea4b14
msg187985 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-04-28 15:09
Committed. Thank you for the patch.
History
Date User Action Args
2013-04-28 15:09:49serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg187985

stage: needs patch -> resolved
2013-04-28 12:58:36python-devsetnosy: + python-dev
messages: + msg187977
2013-04-28 11:19:14serhiy.storchakasetassignee: serhiy.storchaka
2013-04-28 05:46:09kushal.dassetfiles: + issue17842_v2.patch

messages: + msg187963
2013-04-26 20:24:23serhiy.storchakasetmessages: + msg187873
2013-04-26 18:45:35kushal.dassetmessages: + msg187868
2013-04-26 14:40:48serhiy.storchakasetmessages: + msg187859
2013-04-25 11:29:31kushal.dassetfiles: + issue17842_v1.patch

nosy: + kushal.das
messages: + msg187775

keywords: + patch
2013-04-25 10:51:23serhiy.storchakalinkissue17839 dependencies
2013-04-25 10:50:14serhiy.storchakacreate